BdsClientCompositeOperations¶
- class oci.bds.BdsClientCompositeOperations(client, **kwargs)¶
This class provides a wrapper around
BdsClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods:
- __init__(client, **kwargs)¶
Creates a new BdsClientCompositeOperations object
- Parameters
client (BdsClient) – The service client which will be wrapped by this object
- activate_bds_capacity_reservation_configuration_and_wait_for_state(bds_instance_id, bds_capacity_reservation_configuration_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
activate_bds_capacity_reservation_configuration()and waits for theBdsCapacityReservationConfigurationacted upon to enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
bds_capacity_reservation_configuration_id (str) – (required) The OCID of the BDS capacity reservation configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
activate_bds_capacity_reservation_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- activate_bds_metastore_configuration_and_wait_for_state(bds_instance_id, metastore_config_id, activate_bds_metastore_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
activate_bds_metastore_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
metastore_config_id (str) – (required) The metastore configuration ID
activate_bds_metastore_configuration_details (oci.bds.models.ActivateBdsMetastoreConfigurationDetails) – (required) The request body when activating specified metastore configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
activate_bds_metastore_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- activate_iam_user_sync_configuration_and_wait_for_state(bds_instance_id, identity_configuration_id, activate_iam_user_sync_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
activate_iam_user_sync_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
identity_configuration_id (str) – (required) The OCID of the identity configuration
activate_iam_user_sync_configuration_details (oci.bds.models.ActivateIamUserSyncConfigurationDetails) – (required) Details for activating a new IAM user sync config.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
activate_iam_user_sync_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- activate_upst_configuration_and_wait_for_state(bds_instance_id, identity_configuration_id, activate_upst_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
activate_upst_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
identity_configuration_id (str) – (required) The OCID of the identity configuration
activate_upst_configuration_details (oci.bds.models.ActivateUpstConfigurationDetails) – (required) Details for activating UPST config
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
activate_upst_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_auto_scaling_configuration_and_wait_for_state(bds_instance_id, add_auto_scaling_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_auto_scaling_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
add_auto_scaling_configuration_details (oci.bds.models.AddAutoScalingConfigurationDetails) – (required) Details for creating an autoscale configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_auto_scaling_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_block_storage_and_wait_for_state(bds_instance_id, add_block_storage_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_block_storage()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
add_block_storage_details (oci.bds.models.AddBlockStorageDetails) – (required) Details for the added block storage.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_block_storage()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_cloud_sql_and_wait_for_state(bds_instance_id, add_cloud_sql_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_cloud_sql()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
add_cloud_sql_details (oci.bds.models.AddCloudSqlDetails) – (required) Details for the Cloud SQL capability
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_cloud_sql()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_kafka_and_wait_for_state(bds_instance_id, add_kafka_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_kafka()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
add_kafka_details (oci.bds.models.AddKafkaDetails) – (required) Details of the Kafka broker nodes to employ to enable the service.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_kafka()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_master_nodes_and_wait_for_state(bds_instance_id, add_master_nodes_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_master_nodes()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
add_master_nodes_details (oci.bds.models.AddMasterNodesDetails) – (required) Details for the newly added nodes.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_master_nodes()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_utility_nodes_and_wait_for_state(bds_instance_id, add_utility_nodes_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_utility_nodes()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
add_utility_nodes_details (oci.bds.models.AddUtilityNodesDetails) – (required) Details for the newly added nodes.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_utility_nodes()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_worker_nodes_and_wait_for_state(bds_instance_id, add_worker_nodes_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_worker_nodes()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
add_worker_nodes_details (oci.bds.models.AddWorkerNodesDetails) – (required) Details for the newly added nodes.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_worker_nodes()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- backup_node_and_wait_for_state(bds_instance_id, backup_node_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
backup_node()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
backup_node_details (oci.bds.models.BackupNodeDetails) – (required) Details for Taking the node’s backup
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
backup_node()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- bds_instance_reset_password_and_wait_for_state(bds_instance_id, bds_instance_reset_password_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
bds_instance_reset_password()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
bds_instance_reset_password_details (oci.bds.models.BdsInstanceResetPasswordDetails) – (required) Parameters for resetting the admin password of the indicated component.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
bds_instance_reset_password()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_bds_instance_compartment_and_wait_for_state(bds_instance_id, change_bds_instance_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_bds_instance_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
change_bds_instance_compartment_details (oci.bds.models.ChangeBdsInstanceCompartmentDetails) – (required) Details for the comparment change.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_bds_instance_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_shape_and_wait_for_state(bds_instance_id, change_shape_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_shape()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
change_shape_details (oci.bds.models.ChangeShapeDetails) – (required) Individual change shape settings per node type. You can change the shape of master, worker, utility and Cloud SQL nodes.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_shape()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_bds_api_key_and_wait_for_state(bds_instance_id, create_bds_api_key_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_bds_api_key()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
create_bds_api_key_details (oci.bds.models.CreateBdsApiKeyDetails) – (required) Create a new user’s API key.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_bds_api_key()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_bds_capacity_reservation_and_wait_for_state(create_bds_capacity_reservation_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_bds_capacity_reservation()and waits for theWorkRequestto enter the given state(s).- Parameters
create_bds_capacity_reservation_details (oci.bds.models.CreateBdsCapacityReservationDetails) – (required) Details for the new BDS capacity reservation.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_bds_capacity_reservation()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_bds_capacity_reservation_configuration_and_wait_for_state(bds_instance_id, create_bds_capacity_reservation_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_bds_capacity_reservation_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
create_bds_capacity_reservation_configuration_details (oci.bds.models.CreateBdsCapacityReservationConfigurationDetails) – (required) Details for creating the BDS capacity reservation configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_bds_capacity_reservation_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_bds_certificate_configuration_and_wait_for_state(bds_instance_id, create_bds_certificate_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_bds_certificate_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
create_bds_certificate_configuration_details (oci.bds.models.CreateBdsCertificateConfigurationDetails) – (required) Details of creating BDS certificate configuration for the Big Data Service cluster.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_bds_certificate_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_bds_instance_and_wait_for_state(create_bds_instance_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_bds_instance()and waits for theWorkRequestto enter the given state(s).- Parameters
create_bds_instance_details (oci.bds.models.CreateBdsInstanceDetails) – (required) Details for the new cluster.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_bds_instance()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_bds_metastore_configuration_and_wait_for_state(bds_instance_id, create_bds_metastore_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_bds_metastore_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
create_bds_metastore_configuration_details (oci.bds.models.CreateBdsMetastoreConfigurationDetails) – (required) The request body when creating and activating external metastore configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_bds_metastore_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_identity_configuration_and_wait_for_state(bds_instance_id, create_identity_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_identity_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
create_identity_configuration_details (oci.bds.models.CreateIdentityConfigurationDetails) – (required) Details for creating an identity configuration
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_identity_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_node_backup_configuration_and_wait_for_state(bds_instance_id, create_node_backup_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_node_backup_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
create_node_backup_configuration_details (oci.bds.models.CreateNodeBackupConfigurationDetails) – (required) Details for adding nodeBackupConfiguration to the BDS cluster.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_node_backup_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_node_replace_configuration_and_wait_for_state(bds_instance_id, create_node_replace_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_node_replace_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
create_node_replace_configuration_details (oci.bds.models.CreateNodeReplaceConfigurationDetails) – (required) Details for adding nodeReplaceConfiguration to the BDS cluster.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_node_replace_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_resource_principal_configuration_and_wait_for_state(bds_instance_id, create_resource_principal_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_resource_principal_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
create_resource_principal_configuration_details (oci.bds.models.CreateResourcePrincipalConfigurationDetails) – (required) Details of creating resource principal session token for the bds cluster.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_resource_principal_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- deactivate_bds_capacity_reservation_configuration_and_wait_for_state(bds_instance_id, bds_capacity_reservation_configuration_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
deactivate_bds_capacity_reservation_configuration()and waits for theBdsCapacityReservationConfigurationacted upon to enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
bds_capacity_reservation_configuration_id (str) – (required) The OCID of the BDS capacity reservation configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
deactivate_bds_capacity_reservation_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- deactivate_iam_user_sync_configuration_and_wait_for_state(bds_instance_id, identity_configuration_id, deactivate_iam_user_sync_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
deactivate_iam_user_sync_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
identity_configuration_id (str) – (required) The OCID of the identity configuration
deactivate_iam_user_sync_configuration_details (oci.bds.models.DeactivateIamUserSyncConfigurationDetails) – (required) Details for deactivating the IAM user sync config
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
deactivate_iam_user_sync_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- deactivate_upst_configuration_and_wait_for_state(bds_instance_id, identity_configuration_id, deactivate_upst_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
deactivate_upst_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
identity_configuration_id (str) – (required) The OCID of the identity configuration
deactivate_upst_configuration_details (oci.bds.models.DeactivateUpstConfigurationDetails) – (required) Details for deactivating the UPST config
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
deactivate_upst_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_bds_api_key_and_wait_for_state(bds_instance_id, api_key_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_bds_api_key()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
api_key_id (str) – (required) The API key identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_bds_api_key()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_bds_capacity_reservation_and_wait_for_state(bds_capacity_reservation_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_bds_capacity_reservation()and waits for theBdsCapacityReservationacted upon to enter the given state(s).- Parameters
bds_capacity_reservation_id (str) – (required) The OCID of the BDS capacity reservation.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_bds_capacity_reservation()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_bds_certificate_configuration_and_wait_for_state(bds_instance_id, bds_certificate_configuration_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_bds_certificate_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
bds_certificate_configuration_id (str) – (required) Unique Oracle-assigned identifier of the BdsCertificateConfiguration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_bds_certificate_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_bds_instance_and_wait_for_state(bds_instance_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_bds_instance()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_bds_instance()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_bds_metastore_configuration_and_wait_for_state(bds_instance_id, metastore_config_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_bds_metastore_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
metastore_config_id (str) – (required) The metastore configuration ID
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_bds_metastore_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_identity_configuration_and_wait_for_state(bds_instance_id, identity_configuration_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_identity_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
identity_configuration_id (str) – (required) The OCID of the identity configuration
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_identity_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_node_backup_and_wait_for_state(bds_instance_id, node_backup_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_node_backup()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
node_backup_id (str) – (required) Unique assigned identifier of the nodeBackupId.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_node_backup()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_node_backup_configuration_and_wait_for_state(bds_instance_id, node_backup_configuration_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_node_backup_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
node_backup_configuration_id (str) – (required) Unique Oracle-assigned identifier of the NodeBackupConfiguration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_node_backup_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- disable_certificate_and_wait_for_state(bds_instance_id, disable_certificate_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
disable_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
disable_certificate_details (oci.bds.models.DisableCertificateDetails) – (required) Details for disabling certificate.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
disable_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- enable_certificate_and_wait_for_state(bds_instance_id, enable_certificate_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
enable_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
enable_certificate_details (oci.bds.models.EnableCertificateDetails) – (required) Details for configuring certificate.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
enable_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- execute_bootstrap_script_and_wait_for_state(bds_instance_id, execute_bootstrap_script_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
execute_bootstrap_script()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
execute_bootstrap_script_details (oci.bds.models.ExecuteBootstrapScriptDetails) – (required) Details of the bootstrap script to execute on this cluster.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
execute_bootstrap_script()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- force_refresh_resource_principal_and_wait_for_state(bds_instance_id, resource_principal_configuration_id, force_refresh_resource_principal_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
force_refresh_resource_principal()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
resource_principal_configuration_id (str) – (required) Unique Oracle-assigned identifier of the ResourcePrincipalConfiguration.
force_refresh_resource_principal_details (oci.bds.models.ForceRefreshResourcePrincipalDetails) – (required) Details of refreshing resource principal session token
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
force_refresh_resource_principal()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- generate_bds_certificate_and_wait_for_state(bds_instance_id, generate_bds_certificate_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
generate_bds_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
generate_bds_certificate_details (oci.bds.models.GenerateBdsCertificateDetails) – (required) Details for generating BDS certificates.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
generate_bds_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- install_os_patch_and_wait_for_state(bds_instance_id, install_os_patch_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
install_os_patch()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
install_os_patch_details (oci.bds.models.InstallOsPatchDetails) – (required) Details of the target os patch that will be installed
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
install_os_patch()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- install_patch_and_wait_for_state(bds_instance_id, install_patch_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
install_patch()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
install_patch_details (oci.bds.models.InstallPatchDetails) – (required) Details of the patch to be installed.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
install_patch()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- install_software_updates_and_wait_for_state(bds_instance_id, install_software_updates_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
install_software_updates()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
install_software_updates_details (oci.bds.models.InstallSoftwareUpdatesDetails) – (required) Details of the software update to be installed.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
install_software_updates()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- refresh_confidential_application_and_wait_for_state(bds_instance_id, identity_configuration_id, refresh_confidential_application_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
refresh_confidential_application()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
identity_configuration_id (str) – (required) The OCID of the identity configuration
refresh_confidential_application_details (oci.bds.models.RefreshConfidentialApplicationDetails) – (required) Details for refreshing confidential application
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
refresh_confidential_application()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- refresh_upst_token_exchange_keytab_and_wait_for_state(bds_instance_id, identity_configuration_id, refresh_upst_token_exchange_keytab_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
refresh_upst_token_exchange_keytab()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
identity_configuration_id (str) – (required) The OCID of the identity configuration
refresh_upst_token_exchange_keytab_details (oci.bds.models.RefreshUpstTokenExchangeKeytabDetails) – (required) Details for refreshing User Principal Session (UPST) token exchange keytab
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
refresh_upst_token_exchange_keytab()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_auto_scaling_configuration_and_wait_for_state(bds_instance_id, auto_scaling_configuration_id, remove_auto_scaling_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_auto_scaling_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
auto_scaling_configuration_id (str) – (required) Unique Oracle-assigned identifier of the autoscale configuration.
remove_auto_scaling_configuration_details (oci.bds.models.RemoveAutoScalingConfigurationDetails) – (required) Details for the autoscale configuration
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_auto_scaling_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_cloud_sql_and_wait_for_state(bds_instance_id, remove_cloud_sql_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_cloud_sql()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
remove_cloud_sql_details (oci.bds.models.RemoveCloudSqlDetails) – (required) Details for the Cloud SQL capability
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_cloud_sql()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_kafka_and_wait_for_state(bds_instance_id, remove_kafka_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_kafka()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
remove_kafka_details (oci.bds.models.RemoveKafkaDetails) – (required) Details for the Kafka capability.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_kafka()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_node_and_wait_for_state(bds_instance_id, remove_node_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_node()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
remove_node_details (oci.bds.models.RemoveNodeDetails) – (required) Details for the node to be removed.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_node()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_node_replace_configuration_and_wait_for_state(bds_instance_id, node_replace_configuration_id, remove_node_replace_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_node_replace_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
node_replace_configuration_id (str) – (required) Unique Oracle-assigned identifier of the NodeReplaceConfiguration.
remove_node_replace_configuration_details (oci.bds.models.RemoveNodeReplaceConfigurationDetails) – (required) Details for removing NodeReplaceConfiguration
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_node_replace_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_nodes_and_wait_for_state(bds_instance_id, remove_nodes_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_nodes()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
remove_nodes_details (oci.bds.models.RemoveNodesDetails) – (required) Details for the list of nodes to be removed.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_nodes()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_resource_principal_configuration_and_wait_for_state(bds_instance_id, resource_principal_configuration_id, remove_resource_principal_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_resource_principal_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
resource_principal_configuration_id (str) – (required) Unique Oracle-assigned identifier of the ResourcePrincipalConfiguration.
remove_resource_principal_configuration_details (oci.bds.models.RemoveResourcePrincipalConfigurationDetails) – (required) Details of removing a resource principal for the bds cluster.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_resource_principal_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- renew_bds_certificate_and_wait_for_state(bds_instance_id, renew_bds_certificate_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
renew_bds_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
renew_bds_certificate_details (oci.bds.models.RenewBdsCertificateDetails) – (required) Details for renewing BDS certificates.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
renew_bds_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- renew_certificate_and_wait_for_state(bds_instance_id, renew_certificate_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
renew_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
renew_certificate_details (oci.bds.models.RenewCertificateDetails) – (required) Details for renewing certificate.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
renew_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- replace_node_and_wait_for_state(bds_instance_id, replace_node_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
replace_node()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
replace_node_details (oci.bds.models.ReplaceNodeDetails) – (required) Details for Replacing the node.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
replace_node()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- restart_node_and_wait_for_state(bds_instance_id, restart_node_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
restart_node()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
restart_node_details (oci.bds.models.RestartNodeDetails) – (required) Details for restarting the node.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
restart_node()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- set_default_bds_certificate_configuration_and_wait_for_state(bds_instance_id, bds_certificate_configuration_id, set_default_bds_certificate_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
set_default_bds_certificate_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
bds_certificate_configuration_id (str) – (required) Unique Oracle-assigned identifier of the BdsCertificateConfiguration.
set_default_bds_certificate_configuration_details (oci.bds.models.SetDefaultBdsCertificateConfigurationDetails) – (required) The request body when setting specified certificate configuration as default configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
set_default_bds_certificate_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- start_bds_instance_and_wait_for_state(bds_instance_id, start_bds_instance_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
start_bds_instance()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
start_bds_instance_details (oci.bds.models.StartBdsInstanceDetails) – (required) Parameters for starting a cluster
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
start_bds_instance()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- stop_bds_instance_and_wait_for_state(bds_instance_id, stop_bds_instance_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
stop_bds_instance()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
stop_bds_instance_details (oci.bds.models.StopBdsInstanceDetails) – (required) Parameters for stopping a cluster
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
stop_bds_instance()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- test_bds_metastore_configuration_and_wait_for_state(bds_instance_id, metastore_config_id, test_bds_metastore_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
test_bds_metastore_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
metastore_config_id (str) – (required) The metastore configuration ID
test_bds_metastore_configuration_details (oci.bds.models.TestBdsMetastoreConfigurationDetails) – (required) Request body for testing BDS metastore configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
test_bds_metastore_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- test_bds_object_storage_connection_and_wait_for_state(bds_instance_id, api_key_id, test_bds_object_storage_connection_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
test_bds_object_storage_connection()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
api_key_id (str) – (required) The API key identifier.
test_bds_object_storage_connection_details (oci.bds.models.TestBdsObjectStorageConnectionDetails) – (required) Parameters required to validate access to the specified Object Storage bucket using the API key.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
test_bds_object_storage_connection()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_auto_scaling_configuration_and_wait_for_state(bds_instance_id, auto_scaling_configuration_id, update_auto_scaling_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_auto_scaling_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
auto_scaling_configuration_id (str) – (required) Unique Oracle-assigned identifier of the autoscale configuration.
update_auto_scaling_configuration_details (oci.bds.models.UpdateAutoScalingConfigurationDetails) – (required) Details for update an autoscaling configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_auto_scaling_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_bds_capacity_reservation_and_wait_for_state(bds_capacity_reservation_id, update_bds_capacity_reservation_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_bds_capacity_reservation()and waits for theBdsCapacityReservationacted upon to enter the given state(s).- Parameters
bds_capacity_reservation_id (str) – (required) The OCID of the BDS capacity reservation.
update_bds_capacity_reservation_details (oci.bds.models.UpdateBdsCapacityReservationDetails) – (required) Details for updating the BDS capacity reservation.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_bds_capacity_reservation()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_bds_capacity_reservation_configuration_and_wait_for_state(bds_instance_id, bds_capacity_reservation_configuration_id, update_bds_capacity_reservation_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_bds_capacity_reservation_configuration()and waits for theBdsCapacityReservationConfigurationacted upon to enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
bds_capacity_reservation_configuration_id (str) – (required) The OCID of the BDS capacity reservation configuration.
update_bds_capacity_reservation_configuration_details (oci.bds.models.UpdateBdsCapacityReservationConfigurationDetails) – (required) Details for updating the BDS capacity reservation configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_bds_capacity_reservation_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_bds_instance_and_wait_for_state(bds_instance_id, update_bds_instance_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_bds_instance()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
update_bds_instance_details (oci.bds.models.UpdateBdsInstanceDetails) – (required) Details for the cluster to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_bds_instance()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_bds_metastore_configuration_and_wait_for_state(bds_instance_id, metastore_config_id, update_bds_metastore_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_bds_metastore_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
metastore_config_id (str) – (required) The metastore configuration ID
update_bds_metastore_configuration_details (oci.bds.models.UpdateBdsMetastoreConfigurationDetails) – (required) Request body for updating BDS metastore configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_bds_metastore_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_identity_configuration_and_wait_for_state(bds_instance_id, identity_configuration_id, update_identity_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_identity_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
identity_configuration_id (str) – (required) The OCID of the identity configuration
update_identity_configuration_details (oci.bds.models.UpdateIdentityConfigurationDetails) – (required) Details for updating an identity configuration
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_identity_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_node_backup_configuration_and_wait_for_state(bds_instance_id, node_backup_configuration_id, update_node_backup_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_node_backup_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
node_backup_configuration_id (str) – (required) Unique Oracle-assigned identifier of the NodeBackupConfiguration.
update_node_backup_configuration_details (oci.bds.models.UpdateNodeBackupConfigurationDetails) – (required) Details for updating the NodeBackupConfiguration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_node_backup_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_node_replace_configuration_and_wait_for_state(bds_instance_id, node_replace_configuration_id, update_node_replace_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_node_replace_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
node_replace_configuration_id (str) – (required) Unique Oracle-assigned identifier of the NodeReplaceConfiguration.
update_node_replace_configuration_details (oci.bds.models.UpdateNodeReplaceConfigurationDetails) – (required) Details for updating the nodeReplaceConfiguration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_node_replace_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_resource_principal_configuration_and_wait_for_state(bds_instance_id, resource_principal_configuration_id, update_resource_principal_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_resource_principal_configuration()and waits for theWorkRequestto enter the given state(s).- Parameters
bds_instance_id (str) – (required) The OCID of the cluster.
resource_principal_configuration_id (str) – (required) Unique Oracle-assigned identifier of the ResourcePrincipalConfiguration.
update_resource_principal_configuration_details (oci.bds.models.UpdateResourcePrincipalConfigurationDetails) – (required) Details for updating the resourcePrincipalConfiguration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_resource_principal_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait